symfony (7.2.4+dfsg-1) experimental; urgency=medium

  [ Thomas Bibaut ]
  * [DependencyInjection] Fix env default processor with scalar node

  [ David Prévot ]
  * ntfy-notifier: tfix in description (Closes: #1095786)

  [ Alexandre Daubois ]
  * [TwigBridge] Fix compatibility with Twig 3.21
  * [DoctrineBridge] Fix deprecation with `doctrine/dbal` ^4.3

 -- David Prévot <taffit@debian.org>  Fri, 28 Feb 2025 06:15:41 +0100

symfony (7.2.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.3

  [ Grégoire Paris ]
  * Add support for doctrine/persistence 4

  [ David Prévot ]
  * Backport patches for PHPUnit 11
  * Drop php-symfony-polyfill-php83 requirement now that PHP 8.4 is the default
  * Use --exclude-group multiple times (PHPUnit 11 fix)
  * Drop never ending tests with PHPUnit 11
  * Drop SymfonyTestsListener from php-symfony-phpunit-bridge
  * Exclude group nophpunit11 for tests failing with PHPUnit 11
  * Use SYMFONY_DEPRECATIONS_HELPER=disabled instead of weak
  * Make provider functions static (PHPUnit 11 Fix)

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 23:23:45 +0100

symfony (7.2.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.2

  [ David Prévot ]
  * phpab: exclude PhpStanExtractorTest.php

 -- David Prévot <taffit@debian.org>  Thu, 02 Jan 2025 22:16:09 +0100

symfony (7.2.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.1

 -- David Prévot <taffit@debian.org>  Tue, 17 Dec 2024 09:23:26 +0100

symfony (7.2.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.0-RC1

  [ Christian Flothmann ]
  * skip autocomplete test when stty is not available
  * normalize paths to avoid failures if a path is referenced by different names
  * handle error results of DateTime::modify()
  * fix referencing the SYMFONY_VERSION env var
  * fix support for phpstan/phpdoc-parser 2
  * fix support for phpstan/phpdoc-parser 2
  * update ICU data from 75.1 to 76.1
  * relax format assertions for fstat() results on Windows
  * require Cache component versions compatible with Redis 6.1

  [ Nicolas Grekas ]
  * [HttpClient] Resolve hostnames in NoPrivateNetworkHttpClient
    [CVE-2024-50342]

  [ Jérémy Derussé ]
  * [security-http] Check owner of persisted remember-me cookie
    [CVE-2024-51996]

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2024 11:34:22 +0100

symfony (7.2.0~beta2+dfsg-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * [HttpClient] Filter private IPs before connecting when Host == IP
    [CVE-2024-50342]
  * [HttpFoundation] Reject URIs that contain invalid characters
    [CVE-2024-50345]
  * [Process] Use %PATH% before %CD% to load the shell on Windows
    [CVE-2024-51736]

  [ Fabien Potencier ]
  * Update VERSION for 7.2.0-BETA2

  [ Wouter de Jong ]
  * Do not read from argv on non-CLI SAPIs [CVE-2024-50340]

  [ David Prévot ]
  * Update 7.1.3+dfsg-1 changelog entry to document [CVE-2024-50341]
  * Update 7.1.4+dfsg-1 changelog entry to document [CVE-2024-50343]

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2024 10:32:55 +0100

symfony (7.2.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.0-BETA1

  [ David Prévot ]
  * Update homemade autoload
  * Add new components:
    - php-symfony-joli-notif-notifier
    - php-symfony-line-boat-notifier
    - php-symfony-mailomat-mailer
    - php-symfony-mailtrap-mailer
    - php-symfony-postal-mailer
    - php-symfony-sipgate-notifier
    - php-symfony-sweego-mailer
    - php-symfony-sweego-notifier
  * Drop php-symfony-gitter-notifier
  * Point to version 7.2
  * Build-Depend on php-jolicode-jolinotif

 -- David Prévot <taffit@debian.org>  Mon, 04 Nov 2024 11:22:40 +0100

symfony (7.1.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.5

 -- David Prévot <taffit@debian.org>  Sun, 22 Sep 2024 11:07:47 +0200

symfony (7.1.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.4

  [ David Prévot ]
  * Skip failing tests (Closes: #1073470)

  [ Alexandre Daubois ]
  * [Validator] Add D regex modifier in relevant validators [CVE-2024-50343]

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 12:07:25 +0200

symfony (7.1.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.3

  [ Christian Flothmann ]
  * use firewall-specific user checkers when manually logging in users
    [CVE-2024-50341]

 -- David Prévot <taffit@debian.org>  Sat, 27 Jul 2024 14:54:52 +0900

symfony (7.1.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.2

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 16:57:43 +0900

symfony (7.1.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.0-RC1

  [ David Prévot ]
  * Update homemade autoload.php template
  * Build-Depend on recent (>= 3.10) php-twig

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 10:29:08 +0200

symfony (7.1.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.0-BETA1

  [ David Prévot ]
  * Add new components:
    - php-symfony-emoji
    - php-symfony-type-info
    - php-symfony-azure-mailer
    - php-symfony-resend-mailer
    - php-symfony-bluesky-notifier
    - php-symfony-lox24-notifier
    - php-symfony-pushy-notifier
    - php-symfony-sevenio-notifier
    - php-symfony-sms-sluzba-notifier
    - php-symfony-smsbox-notifier
    - php-symfony-smsense-notifier
    - php-symfony-unifonic-notifier
  * Update Homepage for components

 -- David Prévot <taffit@debian.org>  Tue, 14 May 2024 13:40:42 +0200

symfony (7.0.7+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.7

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Update copyright for duplicated image
  * Update changelog for 7.0.7+dfsg-1 release

 -- David Prévot <taffit@debian.org>  Thu, 02 May 2024 19:24:53 +0200

symfony (7.0.6+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.6

  [ David Prévot ]
  * Require Stopwatch
  * Mark php-symfony-messenger package as Multi-Arch: foreign
  * Skip test failing in ppc64el
  * Drop signature check (latest upstream tag is not signed)
  * Update copyright for new image

 -- David Prévot <taffit@debian.org>  Sun, 07 Apr 2024 11:59:13 +0200

symfony (7.0.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.5

  [ Jakub Caban ]
  * Enhance error handling in StaticPrefixCollection for compatibility with
    libpcre2-10.43

  [ Alexander M. Turek ]
  * Safeguard dynamic access to Doctrine metadata properties

  [ Gálik Pál ]
  * [Mailer][Brevo] Remove tags from mandatory event arguments

  [ Nicolas Grekas ]
  * [HttpClient] Fix deprecation on PHP 8.3

  [ Phil E. Taylor ]
  * [AssetMapper] Fix `JavaScriptImportPathCompiler` regression in regex

  [ Ruud Kamphuis ]
  * [Clock] Add PHPUnit 10 attributes

  [ llupa ]
  * [Security][Tests] Update functional tests to better reflect end-user
    scenarios

  [ Simon André ]
  * [AssetMapper] Throw exception in Javascript compiler when PCRE error

  [ David Prévot ]
  * Mark php-symfony-clock package as Multi-Arch: foreign
  * Fix expected abi for arm

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 16:56:37 +0100

symfony (7.0.4+dfsg-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Fabien Potencier ]
  * Update VERSION for 7.0.4

  [ Nicolas Grekas ]
  * [ProxyManagerBridge] Drop the bridge
  * [HttpClient] Remove implementing `Http\Message\RequestFactory`
    from `HttplugClient`

  [ Alexander M. Turek ]
  * [FrameworkBundle] Remove doctrine/annotations integration
  * [Serializer] Remove Doctrine annotations support
  * [Validator] Remove Doctrine annotations support
  * [Routing] Remove Doctrine annotations support

  [ David Prévot ]
  * Track latest version in experimental
  * Drop packages
    - php-symfony-templating
    - php-symfony-proxy-manager-bridge
    - php-symfony-oh-my-smtp-mailer
    - php-symfony-sendinblue-mailer
    - php-symfony-sendinblue-notifier
  * Drop dependencies
    - php-doctrine-annotations
    - php-friendsofphp-proxy-manager-lts
    - php-http-message-factory
  * Use recent php-monolog (>= 3)
  * Update Homepage URL to 7.0

 -- David Prévot <taffit@debian.org>  Mon, 04 Mar 2024 11:00:38 +0100

symfony (6.4.4+dfsg-3) unstable; urgency=medium

  * Upload to unstable now that almost everything is ready

 -- David Prévot <taffit@debian.org>  Sun, 03 Mar 2024 18:32:28 +0100

symfony (6.4.4+dfsg-2) experimental; urgency=medium

  * Add missing dependencies for test

 -- David Prévot <taffit@debian.org>  Sun, 03 Mar 2024 13:21:05 +0100

symfony (6.4.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.4

  [ David Prévot ]
  * Force system dependencies loading
  * [ErrorHandler] Allow fuzz

 -- David Prévot <taffit@debian.org>  Sat, 02 Mar 2024 09:23:18 +0100

symfony (6.4.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.3

 -- David Prévot <taffit@debian.org>  Sun, 04 Feb 2024 22:44:22 +0100

symfony (6.4.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.2

  [ David Prévot ]
  * Use JetBrainsMono.woff2 from fonts-jetbrains-mono-web

 -- David Prévot <taffit@debian.org>  Sun, 31 Dec 2023 09:53:57 +0100

symfony (6.4.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.1

  [ Christian Flothmann ]
  * skip tests that do not work with ICU 71.1

 -- David Prévot <taffit@debian.org>  Sun, 03 Dec 2023 11:40:03 +0100

symfony (6.4.0+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * [Validator] Made tests forward-compatible with ICU 72.1

  [ Fabien Potencier ]
  * Update VERSION for 6.4.0

  [ David Prévot ]
  * Drop ICU workarounds not needed anymore
  * Don’t ship Resources/emoji nor empty AssetMapper/Fixtures
  * Document font copyright

 -- David Prévot <taffit@debian.org>  Thu, 30 Nov 2023 18:39:42 +0100

symfony (6.4.0~rc2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.0-RC2

  [ David Prévot ]
  * Require php-http-message-factory for tests

 -- David Prévot <taffit@debian.org>  Mon, 27 Nov 2023 08:03:28 +0100

symfony (6.4.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.0-RC1

  [ David Prévot ]
  * gbp.conf: define upstream-vcs-tag

 -- David Prévot <taffit@debian.org>  Sun, 19 Nov 2023 10:37:40 +0100

symfony (6.4.0~beta3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.0-BETA3

  [ Nicolas Grekas ]
  * [Webhook] Remove user-submitted type from HTTP response [CVE-2023-46735]
  * [TwigBridge] Ensure CodeExtension's filters properly escape their input
    [CVE-2023-46734] (Closes: #1055774)

  [ Robert ]
  * [Security] Fix possible session fixation when only the *token* changes
    [CVE-2023-46733] (Closes: #1055775)

 -- David Prévot <taffit@debian.org>  Sat, 11 Nov 2023 11:24:46 +0100

symfony (6.4.0~beta2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.0-BETA2

  [ Alexander M. Turek ]
  * [PsrHttpMessageBridge] Import the bridge into the monorepo

  [ Wouter van der Loop ]
  * [Notifier] Add Novu bridge

  [ Mickael Perraud ]
  * [Notifier] add Ntfy bridge

  [ Mateusz Żyła ]
  * Added redlink notifier

  [ Pierre Tanguy ]
  * [Notifier] Add Brevo bridge (formerly Sendinblue)
  * [Mailer] New Brevo mailer bridge (formerly Sendinblue)

  [ MrMicky ]
  * [Mailer] Add Scaleway bridge

  [ wickedOne ]
  * [Translation] Phrase translation provider

  [ Ahmed Ghanem ]
  * [Notifier] Add GoIP bridge

  [ David Prévot ]
  * Add new bridges:
    + php-symfony-psr-http-message-bridge
    + php-symfony-brevo-mailer
    + php-symfony-scaleway-mailer
    + php-symfony-brevo-notifier
    + php-symfony-go-ip-notifier
    + php-symfony-novu-notifier
    + php-symfony-ntfy-notifier
    + php-symfony-redlink-notifier
    + php-symfony-phrase-translation-provider
  * Update Homepage URL to 6.4
  * Image checksum update
  * Extend exclusions for phpab

 -- David Prévot <taffit@debian.org>  Mon, 06 Nov 2023 15:01:46 +0100

symfony (6.3.6+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.3.6

 -- David Prévot <taffit@debian.org>  Sun, 22 Oct 2023 09:01:31 +0200

symfony (6.3.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.3.5

 -- David Prévot <taffit@debian.org>  Mon, 02 Oct 2023 08:03:19 +0200

symfony (6.3.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.3.4

 -- David Prévot <taffit@debian.org>  Mon, 28 Aug 2023 12:52:10 +0200

symfony (6.3.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.3.3

 -- David Prévot <taffit@debian.org>  Tue, 01 Aug 2023 13:37:11 +0200

symfony (6.3.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.3.1

  [ David Prévot ]
  * Exclude some test files for phpab

 -- David Prévot <taffit@debian.org>  Tue, 27 Jun 2023 17:02:21 +0200

symfony (6.3.0+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.3.0

  [ David Prévot ]
  * Drop long line in extended descriptions
  * Drop versioned build-dependencies

 -- David Prévot <taffit@debian.org>  Sat, 03 Jun 2023 10:41:27 +0200

symfony (6.3.0~rc2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.3.0-RC2

  [ David Prévot ]
  * Update Homepage URLs
  * Add back license check
  * Use php-redis, php-pgsql and php-apcu to run more tests
  * Clean up some patches

 -- David Prévot <taffit@debian.org>  Sun, 28 May 2023 06:46:46 +0200

symfony (6.3.0~rc1+dfsg-1) experimental; urgency=medium

  * Upload RC to experimental (Closes: #1006360)

  [ Fabien Potencier ]
  * Update VERSION for 6.3.0-RC1

  [ David Prévot ]
  * Stick to version 6 for now (Trixie?)
  * Update build-dependencies
  * Update for new components
  * Exclude files that breaks phpab
  * Drop composer-runtime-api that confuses phpabtpl
  * Adapt patches for current testsuite
  * Ignore jwt group
  * Workaround missing autoloader
  * Add php settings to run more tests
  * Extend clean

 -- David Prévot <taffit@debian.org>  Wed, 24 May 2023 01:32:53 +0200

symfony (5.4.23+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.23

 -- David Prévot <taffit@debian.org>  Sat, 29 Apr 2023 18:41:44 +0200

symfony (5.4.22+dfsg-3) unstable; urgency=medium

  * [Mime] regenerate test certificates (Closes: #1034854)

 -- David Prévot <taffit@debian.org>  Wed, 26 Apr 2023 20:32:58 +0200

symfony (5.4.22+dfsg-2) unstable; urgency=medium

  * Disable testsuite on s390x (Closes: #908377)

 -- David Prévot <taffit@debian.org>  Mon, 03 Apr 2023 08:21:59 +0200

symfony (5.4.22+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.22

 -- David Prévot <taffit@debian.org>  Sat, 01 Apr 2023 11:47:18 +0200

symfony (5.4.21+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.21

 -- David Prévot <taffit@debian.org>  Tue, 28 Feb 2023 22:18:04 +0100

symfony (5.4.20+dfsg-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * [HttpKernel] Remove private headers before storing responses with HttpCache
    [CVE-2022-24894]
  * [Security/Http] Remove CSRF tokens from storage on successful login
    [CVE-2022-24895]

  [ Fabien Potencier ]
  * Update VERSION for 5.4.20

 -- David Prévot <taffit@debian.org>  Wed, 01 Feb 2023 19:25:18 +0100

symfony (5.4.19+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Bump license year to 2023
  * Update VERSION for 5.4.19

  [ Alexander M. Turek ]
  * Allow EmailValidator 4

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Wed, 25 Jan 2023 08:26:13 +0100

symfony (5.4.18+dfsg-3) unstable; urgency=medium

  * Drop (data) tests failing with PHP 8.2 (Closes: #1028533)

 -- David Prévot <taffit@debian.org>  Fri, 13 Jan 2023 08:47:36 +0100

symfony (5.4.18+dfsg-2) unstable; urgency=medium

  * Allow php-doctrine-event-manager 2
  * Update standards version to 4.6.2

 -- David Prévot <taffit@debian.org>  Thu, 05 Jan 2023 08:03:11 +0100

symfony (5.4.18+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.18

  [ Alexander M. Turek ]
  * Compatibility with doctrine/annotations 2

 -- David Prévot <taffit@debian.org>  Fri, 30 Dec 2022 08:09:47 +0100

symfony (5.4.16+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.16

  [ Alexander M. Turek ]
  * Run tests with doctrine/collections 2

  [ David Prévot ]
  * Workaround ICU new format (Closes: #1024308)

 -- David Prévot <taffit@debian.org>  Tue, 06 Dec 2022 16:58:14 +0100

symfony (5.4.15+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.15

  [ Jérémy Derussé ]
  * [Intl] Update the ICU data to 72.1 - 5.4

 -- David Prévot <taffit@debian.org>  Tue, 01 Nov 2022 08:07:44 +0100

symfony (5.4.14+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.14

 -- David Prévot <taffit@debian.org>  Sat, 15 Oct 2022 12:27:04 +0200

symfony (5.4.13+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.13

  [ David Prévot ]
  * Fix typo in previous changelog entry
  * Drop patch not needed anymore
  * Update php-symfony-cache description

 -- David Prévot <taffit@debian.org>  Mon, 03 Oct 2022 13:43:13 +0200

symfony (5.4.12+dfsg-2) unstable; urgency=medium

  * [Form] Adapt precision for recent phpunit-comparator (Closes: #1020181)
  * Fix typo in copyright

 -- David Prévot <taffit@debian.org>  Mon, 19 Sep 2022 08:08:04 +0200

symfony (5.4.12+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.12

 -- David Prévot <taffit@debian.org>  Mon, 29 Aug 2022 08:02:19 +0200

symfony (5.4.11+dfsg-2) unstable; urgency=medium

  * Install completion file(s)

 -- David Prévot <taffit@debian.org>  Thu, 18 Aug 2022 08:27:13 +0200

symfony (5.4.11+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.11

  [ David Prévot ]
  * Update Homepage for php-symfony-inflector and php-symfony-security-guard
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 01 Aug 2022 08:23:35 +0200

symfony (5.4.10+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.10

  [ David Prévot ]
  * Mark php-symfony-rate-limiter as Multi-Arch: foreign

 -- David Prévot <taffit@debian.org>  Wed, 29 Jun 2022 08:07:16 +0200

symfony (5.4.9+dfsg-2) unstable; urgency=medium

  * Mark some packages as Multi-Arch: foreign
  * Depend on recent php-email-validator

 -- David Prévot <taffit@debian.org>  Mon, 20 Jun 2022 08:37:49 +0200

symfony (5.4.9+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.9

 -- David Prévot <taffit@debian.org>  Sat, 28 May 2022 12:05:11 +0200

symfony (5.4.8+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.8
  * Add support to libicu70, thanks to Athos Ribeiro (Closes: #1011737)
  * Drop Polyfill build-dependencies

 -- David Prévot <taffit@debian.org>  Tue, 24 May 2022 21:17:40 +0200

symfony (5.4.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.6
    (Fixing expected PHPUnit output, Closes: #1006735)

  [ David Prévot ]
  * Document blank image used for tests

 -- David Prévot <taffit@debian.org>  Sun, 06 Mar 2022 22:17:14 +0100

symfony (5.4.4+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Bump license year
  * Update VERSION for 5.4.4

  [ Jérémy Derussé ]
  * Enable CSRF in FORM by default

  [ David Prévot ]
  * Revert "Workaround the lack of Enum support in phpab"
  * Update copyright (years)
  * Mark php-symfony-semaphore as Multi-Arch: foreign

 -- David Prévot <taffit@debian.org>  Sat, 29 Jan 2022 18:32:47 -0400

symfony (5.4.2+dfsg-3) unstable; urgency=medium

  * Mark php-symfony-templating as Multi-Arch: foreign
  * [Lock] Drop test currently failing on buildd

 -- David Prévot <taffit@debian.org>  Thu, 13 Jan 2022 03:40:15 -0400

symfony (5.4.2+dfsg-2) unstable; urgency=medium

  * Drop php-apcu-bc dependency for tests.
    About to be removed as documented in #1003055.
    https://bugs.debian.org/1003055
  * Depend explicitely on php-doctrine-annotations for tests
  * Workaround the lack of Enum support in phpab

 -- David Prévot <taffit@debian.org>  Mon, 10 Jan 2022 17:44:48 -0400

symfony (5.4.2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.2

  [ David Prévot ]
  * Update php-symfony-debug-bundle description

 -- David Prévot <taffit@debian.org>  Thu, 30 Dec 2021 10:42:08 -0400

symfony (5.4.1+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.1

 -- David Prévot <taffit@debian.org>  Sun, 12 Dec 2021 06:50:59 -0400

symfony (5.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable after NEW processing
  * Revert "Breaks php-doctrine-bundle"

 -- David Prévot <taffit@debian.org>  Mon, 06 Dec 2021 16:46:17 -0400

symfony (5.4.0+dfsg-1) experimental; urgency=medium

  Upload to experimental for NEW processing

  [ Fabien Potencier ]
  * Update VERSION for 5.4.0

  [ Nicolas Grekas ]
  * [Notifier] add Vonage bridge to replace the Nexmo one

  [ David Prévot ]
  * Add new php-symfony-vonage-notifier package
  * Revert "Don’t run tests in parallel"
  * Don’t run tests twice
  * Skip test instead of droping assertion

 -- David Prévot <taffit@debian.org>  Mon, 29 Nov 2021 23:04:33 -0400

symfony (5.4.0~rc1+dfsg-3) unstable; urgency=medium

  * Blacklist symfony\\config\\ namespace
  * [Console] Drop assertion failing on CI

 -- David Prévot <taffit@debian.org>  Mon, 29 Nov 2021 08:50:35 -0400

symfony (5.4.0~rc1+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that all build-dependencies are available
  * Don’t run tests in parallel
  * Breaks php-doctrine-bundle
  * Provide vendor/autoload_runtime.php for CI
  * Use installed files for CI
  * Install php-phpstan-phpdoc-parser for CI

 -- David Prévot <taffit@debian.org>  Sun, 28 Nov 2021 07:32:56 -0400

symfony (5.4.0~rc1+dfsg-1) experimental; urgency=medium

  [ Jérémy Derussé ]
  * Fix missing extra trusted header in sub-request [CVE-2021-41267]
  * Use single quote to escape formulas [CVE-2021-41270]

  [ Wouter de Jong ]
  * [SecurityBundle] Default signature_properties to the previous behavior
    [CVE-2021-41268]

  [ Fabien Potencier ]
  * Update VERSION for 5.4.0-RC1

  [ David Prévot ]
  * Use php-email-validator 2 for now

 -- David Prévot <taffit@debian.org>  Wed, 24 Nov 2021 07:04:16 -0400

symfony (5.4.0~beta3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * [Notifier] Fix package name
  * Update VERSION for 5.4.0-BETA3

  [ David Prévot ]
  * Rename packages after upstream change
    - php-symfony-allmysms-notifier -> php-symfony-all-my-sms-notifier
    - php-symfony-gatewayapi-notifier -> php-symfony-gateway-api-notifier
    - php-symfony-turbosms-notifier -> php-symfony-turbo-sms-notifier

 -- David Prévot <taffit@debian.org>  Thu, 18 Nov 2021 22:49:23 -0400

symfony (5.4.0~beta2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.0-BETA2

  [ David Prévot ]
  * Use php-predis instead of php-nrk-predis
  * Generate main autoload.php at build-time

 -- David Prévot <taffit@debian.org>  Sun, 14 Nov 2021 18:04:04 -0400

symfony (5.4.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.0-BETA1

  * Track version 5 for Bookworm
  * Clean up manual overrides
  * Add new packages:
    - php-symfony-oh-my-smtp-mailer
    - php-symfony-amazon-sns-notifier
    - php-symfony-expo-notifier
    - php-symfony-mailjet-notifier
    - php-symfony-message-media-notifier
    - php-symfony-one-signal-cloud-notifier
    - php-symfony-sms77-notifier
    - php-symfony-smsc-notifier
    - php-symfony-telnyx-notifier
    - php-symfony-turbosms-notifier
    - php-symfony-yunpian-notifier
  * Build-Depend on php-async-aws-sns
  * Update Homepage URLs

 -- David Prévot <taffit@debian.org>  Sat, 06 Nov 2021 10:16:59 -0400

symfony (5.3.10+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.3.10

  [ David Prévot ]
  * Drop php-doctrine-bundle dependency not needed anymore

 -- David Prévot <taffit@debian.org>  Sat, 30 Oct 2021 08:02:53 -0400

symfony (5.3.9+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.3.9

  [ David Prévot ]
  * Add new components:
    - php-symfony-password-hasher
    - php-symfony-runtime
    - php-symfony-allmysms-notifier, php-symfony-clickatell-notifier,
      php-symfony-fake-chat-notifier, php-symfony-fake-sms-notifier,
      php-symfony-gatewayapi-notifier, php-symfony-gitter-notifier,
      php-symfony-iqsms-notifier, php-symfony-light-sms-notifier,
      php-symfony-mercure-notifier, php-symfony-message-bird-notifier,
      php-symfony-microsoft-teams-notifier, php-symfony-octopush-notifier,
      php-symfony-sms-biuras-notifier, php-symfony-spot-hit-notifier
    - php-symfony-crowdin-translation-provider
    - php-symfony-loko-translation-provider
    - php-symfony-localize-translation-provider
  * Add php-symfony-mercure and php-symfony-polyfill-php81 (build-)dependencies
  * Update Hompage URLs to 5.3
  * Let phpab be also tolerant with Intl
  * Don’t rely on /simple-phpunit.php
  * Revert upstream change relying on composer
  * Drop composer-plugin-api that confuses pkg-php-tools
  * Use autoload_runtime.php for Runtime tests
  * Update licensing checksums for false positives
  * Update standards version to 4.6.0, no changes needed

 -- David Prévot <taffit@debian.org>  Fri, 08 Oct 2021 10:59:25 -0400

symfony (5.2.6+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.6

  [ David Prévot ]
  * Update homemade autoload.php
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Build-depend on recent php-twig and php-email-validator
  * Adapt conflict to Debian expectations

 -- David Prévot <taffit@debian.org>  Thu, 08 Apr 2021 16:03:32 -0400

symfony (5.2.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.5

  [ Alexander M. Turek ]
  * Backport psr/container 1.1/2.0 compatibility
  * Allow egulias/email-validator 3.x

 -- David Prévot <taffit@debian.org>  Tue, 16 Mar 2021 15:58:21 -0400

symfony (5.2.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.4

  [ David Prévot ]
  * Fix homemade autoload.php
  * Exclude other files for phpab

 -- David Prévot <taffit@debian.org>  Tue, 09 Mar 2021 10:16:34 -0400

symfony (5.2.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.3

 -- David Prévot <taffit@debian.org>  Thu, 04 Feb 2021 18:31:10 -0400

symfony (5.2.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Bump license year
  * Update VERSION for 5.2.2

  [ Nicolas Grekas ]
  * [ProxyManagerBridge] switch to "friendsofphp/proxy-manager-lts"

  [ David Prévot ]
  * Drop spurious require
  * Update gbp import-orig workflow
  * Verify upstream signed tag on import
  * Adapt dependencies and descriptions to new upstream version
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Thu, 28 Jan 2021 20:34:24 -0400

symfony (5.2.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.2.1
  * Fix compatibility with
    + recent PHP (Closes: #952431)
    + recent PHPUnit (Closes: #977518)

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Restore +dfsg version
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Update Standards-Version to 4.5.1
  * Update watch file format version to 4.
  * Set upstream metadata fields: Security-Contact.
  * Set Rules-Requires-Root: no.
  * Use --sourcedirectory instead of --sourcedir
  * Use recent Doctrine\Persistence path
  * Allow stderr for CI
  * Update homemade override and autoload.php
  * New packages:
    - php-symfony-amazon-sqs-messenger
    - php-symfony-amqp-messenger
    - php-symfony-beanstalkd-messenger
    - php-symfony-doctrine-messenger
    - php-symfony-discord-notifier
    - php-symfony-esendex-notifier
    - php-symfony-firebase-notifier
    - php-symfony-free-mobile-notifier
    - php-symfony-google-chat-notifier
    - php-symfony-infobip-notifier
    - php-symfony-linked-in-notifier
    - php-symfony-mailjet-mailer
    - php-symfony-mattermost-notifier
    - php-symfony-mobyt-notifier
    - php-symfony-nexmo-notifier
    - php-symfony-ovh-cloud-notifier
    - php-symfony-rate-limiter
    - php-symfony-redis-messenger
    - php-symfony-rocket-chat-notifier
    - php-symfony-semaphore
    - php-symfony-sendinblue-mailer
    - php-symfony-sendinblue-notifier
    - php-symfony-sinch-notifier
    - php-symfony-smsapi-notifier
    - php-symfony-uid
    - php-symfony-zulip-notifier
    New build-dependencies:
    - php-async-aws-sqs
    - php-pda-pheanstalk
    - php-symfony-polyfill-php80
    - php-uuid
  * Update Hompage URLs to 5.2
  * Install /u/s/p/autoloaders file

 -- David Prévot <taffit@debian.org>  Thu, 07 Jan 2021 00:06:19 -0400

symfony (5.0.4-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 5.0.4

  [ David Prévot ]
  * Update dependency for CI (Closes: #949045)
  * Update copyright (years)
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Sat, 08 Feb 2020 15:37:53 -1000

symfony (5.0.2-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 5.0.2

  [ David Prévot ]
  * Drop useless executable bit
  * Track latest version
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit
  * Update homemade overrides and autoload.php
  * Drop more currently failing tests

 -- David Prévot <taffit@debian.org>  Sun, 22 Dec 2019 08:57:34 +1100

symfony (5.0.0~beta2-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * [Notifier] added the component
  * updated VERSION for 5.0.0-BETA2

  [ Nicolas Grekas ]
  * [Debug] drop the component
  * [Security] drop the component
  * [String] a new component for object-oriented strings management with
    an abstract unit system

  [ Alexander M. Turek ]
  * Monolog 2 compatibility.

  [ David Prévot ]
  * Fix include in php-symfony-twig-bridge autoload.php
  * Drop Mailer Bridges from autoload.php.tests.tpl (already in autoload.php)
  * Update copyright
  * Update Hompage URLs to 5.0
  * Update homemade overrides and autoload.php
  * Drop php-symfony-debug, php-symfony-security, and
    php-symfony-web-server-bundle packages
  * Add new components: php-symfony-notifier, php-symfony-string,
    php-symfony-nexmo-notifier, php-symfony-slack-notifier,
    php-symfony-telegram-notifier, and php-symfony-twilio-notifier

 -- David Prévot <taffit@debian.org>  Sat, 16 Nov 2019 15:15:20 -1000

symfony (4.4.0~beta2-1) experimental; urgency=medium

  * Upload beta to experimental

  [ Fabien Potencier ]
  * updated VERSION for 4.4.0-BETA2

  [ Yonel Ceruto ]
  * Added ErrorHandler component

  [ Nyholm ]
  * Adding .gitattributes to remove Tests directory from "dist"

  [ David Prévot ]
  * Track version 4
  * Add new php-symfony-error-handler component
  * Update build-dependencies
    + Drop php-fig-link-util
    + Add php-guzzlehttp-promises, php-http-httplug, php-psr-link,
      php-twig-cssinliner-extra, php-twig-inky-extra, and
      php-twig-markdown-extra
  * Update homemade overrides and autoload.php
  * Update Hompage URLs to 4.4
  * Handle dummy image for tests
  * Update images checksum and copyright
  * Update copyright
  * Document gbp import-ref usage
  * Drop currently broken assertions

 -- David Prévot <taffit@debian.org>  Wed, 13 Nov 2019 17:27:41 -1000

symfony (4.3.8+dfsg-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Use constant time comparison in UriSigner [CVE-2019-18887]

  [ Nicolas Grekas ]
  * [Cache] forbid serializing AbstractAdapter and TagAwareAdapter instances
    [CVE-2019-18889]
  * [VarExporter] fix exporting some strings [CVE-2019-11325]
  * [HttpFoundation] fix guessing mime-types of files with leading dash
    [CVE-2019-18888]
  * [Mime] fix guessing mime-types of files with leading dash [CVE-2019-18888]
  * [Security\Core] throw AccessDeniedException when switch user fails
    [CVE-2019-18886]

  [ Fabien Potencier ]
  * updated VERSION for 4.3.8

  [ David Prévot ]
  * Track stable version for now
  * Update homemade overrides
  * Exclude whole directory

 -- David Prévot <taffit@debian.org>  Wed, 13 Nov 2019 06:24:18 -1000

symfony (4.3.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 4.3.6

  [ David Prévot ]
  * Update homemade overrides

 -- David Prévot <taffit@debian.org>  Sat, 02 Nov 2019 00:34:40 -1000

symfony (4.3.5+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 4.3.5

  [ David Prévot ]
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1
  * Don’t fail unit tests on warning
  * Drop test failing with PHPUnit 8.4

 -- David Prévot <taffit@debian.org>  Mon, 07 Oct 2019 16:33:02 -1000

symfony (4.3.4+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 4.3.4

  [ Steve Langasek ]
  * Unset http proxy for autopkgtest (Closes: #934647)

  [ David Prévot ]
  * Update homemade overrides
  * Exclude another file for phpab
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Extend d/clean for PHPUnit 8
  * PHPUnit 7 compliance (from PHPUnit 8)

 -- David Prévot <taffit@debian.org>  Tue, 27 Aug 2019 17:02:02 -1000

symfony (4.3.3+dfsg-3) unstable; urgency=medium

  * Set upstream metadata fields: Contact, Name.
  * Adapt files path for CI

 -- David Prévot <taffit@debian.org>  Tue, 30 Jul 2019 01:19:47 -0400

symfony (4.3.3+dfsg-2) unstable; urgency=medium

  * Add missing dependency for CI

 -- David Prévot <taffit@debian.org>  Mon, 29 Jul 2019 13:16:35 -0300

symfony (4.3.3+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 4.3.3

  [ David Prévot ]
  * Update homemade autoload

 -- David Prévot <taffit@debian.org>  Sun, 28 Jul 2019 23:35:21 -0300

symfony (4.3.2+dfsg-1) unstable; urgency=medium

  * Upload to unstable now that buster has been released

  [ Fabien Potencier ]
  * updated VERSION for 4.3.2

  [ David Prévot ]
  * Update homemade autoload
  * Update Standards-Version to 4.4.0

 -- David Prévot <taffit@debian.org>  Fri, 19 Jul 2019 17:19:50 -0300

symfony (4.3.1+dfsg-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * Reference individual contracts packages

  [ Fabien Potencier ]
  * updated VERSION for 4.3.1

  [ David Prévot ]
  * Update homemade autoload and overrides
  * Drop failing tests with recent PHP (Closes: #930003)

 -- David Prévot <taffit@debian.org>  Tue, 25 Jun 2019 11:19:31 -1000

symfony (4.3.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 4.3.0-BETA1

  [ David Prévot ]
  * Update homemade autoload and overrides
  * Update Hompage URLs for 4.3
  * Update phpab template
  * Add new components:
    - php-symfony-http-client
    - php-symfony-mailer
    - php-symfony-mime
  * Add new php-symfony-*-mailer bridges
  * Update images checksums
  * Use php-curl, php-masterminds-html5, php-nyholm-psr7, and
    php-psr-http-client for tests

 -- David Prévot <taffit@debian.org>  Sat, 11 May 2019 15:57:52 -1000

symfony (4.2.8+dfsg-1) experimental; urgency=medium

  * Upload new major upstream version to experimental

  [ Fabien Potencier ]
  * updated VERSION for 4.2.8

  [ Kunal Mehta ]
  * Remove and replace php-symfony-polyfill-* dependencies (Closes: #821138)

  [ David Prévot ]
  * Revert "Stick to version 3"
  * Drop php-symfony-class-loader removed upstream
  * Add new php-symfony-messenger
  * Add new php-symfony-var-exporter
  * Install new var-dump-server binary
  * Drop php-memcache dependency, not handled upstream anymore
  * Add new php-symfony-contracts build-dependency
  * Add php-amqp build-dependency for tests
  * Be tolerant to duplicate definitions in tests
  * Update copyright for moved, updated and new images, and years
  * Update homemade autoload and overrides
  * Update Hompage URLs for 4.2
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Use debian/clean for directories

 -- David Prévot <taffit@debian.org>  Sat, 04 May 2019 14:54:49 -1000

symfony (3.4.19+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.19
    - fix the testsuite with PHP 7.3 (Closes: #914273)

 -- David Prévot <taffit@debian.org>  Wed, 28 Nov 2018 15:26:40 -1000

symfony (3.4.17+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.17

  [ Albert Casdemont ]
  * [PHPUnitBridge] Fix microtime() format

  [ David Prévot ]
  * Use https in Format

 -- David Prévot <taffit@debian.org>  Sat, 06 Oct 2018 09:48:54 -1000

symfony (3.4.16+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.16

  [ David Prévot ]
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Update fixes with recent PHPUnit

 -- David Prévot <taffit@debian.org>  Tue, 02 Oct 2018 22:54:50 -1000

symfony (3.4.15+dfsg-2) unstable; urgency=medium

  * Add more tests to tty group

 -- David Prévot <taffit@debian.org>  Sat, 01 Sep 2018 08:09:52 -1000

symfony (3.4.15+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.15

  [ David Prévot ]
  * Don’t fail on deprecated notice (Closes: #905425)
  * Update dependency override
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Fri, 31 Aug 2018 15:24:14 -1000

symfony (3.4.14+dfsg-1) unstable; urgency=medium

  * New upstream version fixing two security issues:
    - [CVE-2018-14773] Remove support for legacy and risky HTTP headers
    - [CVE-2018-14774] Possible host header injection when using HttpCache

  [ Fabien Potencier ]
  * updated VERSION for 3.4.14

  [ David Prévot ]
  * Update dependency override
  * Update Standards-Version to 4.2.0

 -- David Prévot <taffit@debian.org>  Fri, 03 Aug 2018 12:52:59 +0800

symfony (3.4.13+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.13

  [ David Prévot ]
  * Drop test currently failing on CI
  * Update dependency override

 -- David Prévot <taffit@debian.org>  Wed, 25 Jul 2018 11:50:50 +0800

symfony (3.4.12+dfsg-1) unstable; urgency=medium

  * New upstream version fixing several security issues:
    - [CVE-2018-11385] Session Fixation Issue for Guard Authentication
    - [CVE-2018-11386] Denial of service when using PDOSessionHandler
    - [CVE-2018-11406] CSRF Token Fixation
    - [CVE-2018-11407] Unauthorized access on a misconfigured LDAP
      server when using an empty password
    - [CVE-2018-11408] Open redirect vulnerability on security handlers

  [ Fabien Potencier ]
  * updated VERSION for 3.4.12

  [ Gert de Pagter ]
  * Use symfony/polyfill-ctype

  [ David Prévot ]
  * Blacklist projectservicecontainer for ci
  * Update dependency override
  * Update homemade autoload.php files for php-symfony-polyfill-ctype
  * Update dependency overrides
  * Update Standards-Version to 4.1.5
  * Add php-symfony-polyfill-ctype build-dependency
  * Fix and workaround tests with recent PHPUnit
  * Drop inexistant php-mongo for Build-Conflicts (Closes: #827782)

  [ Daniel Bannert ]
  * [PHPunit] suite variable should be used (Closes: #896108)

 -- David Prévot <taffit@debian.org>  Sun, 22 Jul 2018 11:29:08 +0800

symfony (3.4.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.6

  [ David Prévot ]
  * Update dependency overrides
  * Blacklist projectservicecontainer for tests
  * Make sure to load SymfonyTestsListener
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3
  * Fix testsuite with native PHP 7.2

 -- David Prévot <taffit@debian.org>  Mon, 05 Mar 2018 16:46:15 -1000

symfony (3.4.3+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.3

  [ David Prévot ]
  * Update versioned dependencies
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Sat, 06 Jan 2018 15:32:31 +0530

symfony (3.4.2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.2

  [ David Prévot ]
  * Update homemade autoload.php files for new suggested packages

 -- David Prévot <taffit@debian.org>  Fri, 15 Dec 2017 14:28:24 -1000

symfony (3.4.1+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.1

  [ David Prévot ]
  * Add missing dependency for ci
  * Update Standards-Version to 4.1.2

 -- David Prévot <taffit@debian.org>  Tue, 05 Dec 2017 16:12:52 -1000

symfony (3.4.0+dfsg-1) unstable; urgency=medium

  * Upload stable version to unstable

  [ Fabien Potencier ]
  * updated VERSION for 3.4.0

 -- David Prévot <taffit@debian.org>  Thu, 30 Nov 2017 14:45:36 -1000

symfony (3.4.0~rc2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.0-RC2

  [ David Prévot ]
  * Update versioned dependencies
  * Build-depend on recent phpunit
  * Build-Depend on php-phpdbg for the testsuite

 -- David Prévot <taffit@debian.org>  Sat, 25 Nov 2017 19:52:11 -1000

symfony (3.4.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.0-RC1

  [ David Prévot ]
  * Update dependency overrides
  * Update test patches

 -- David Prévot <taffit@debian.org>  Thu, 23 Nov 2017 11:29:17 -1000

symfony (3.4.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.0-BETA1

  [ Jérémy Derussé ]
  * [Lock] Re-add the Lock component in 3.4

  [ David Prévot ]
  * Stick to version 3
  * Update dependencies
  * Update homemade autoload.php files
  * Update Homepage URLs
  * New php-symfony-lock package
  * Update images licenses
  * Drop more tests currently failing

 -- David Prévot <taffit@debian.org>  Sun, 22 Oct 2017 13:55:42 -1000

symfony (3.3.10+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.3.10

  [ David Prévot ]
  * Update Standards-Version to 4.1.1
  * Drop Form test currently failing

 -- David Prévot <taffit@debian.org>  Tue, 10 Oct 2017 22:03:41 -1000

symfony (3.3.9+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.3.9

  [ David Prévot ]
  * Update dependency overrides
  * Update homemade autoload.php files
  * Update source for new binary packages:
    - php-symfony-dotenv
    - php-symfony-web-link
    - php-symfony-workflow
    - php-symfony-web-server-bundle
  * Don’t ship new phpunit wrapper
  * Update components homepage
  * Install (and load) Symfony/Bundle/FullStack.php in php-symfony
  * Handle another way to embed SVG for copyright check
  * Update debian/licensing/image-checksums.dcf
  * Update copyright
  * Add new build-dependencies
  * Ship Test classes
  * Update Standards-Version to 4.1.0
  * Update php-symfony-cache description
  * Adapt phpunit call
  * Add patches to workaround the lack of Composer environment for tests
  * Drop more tests currently failing
  * Drop README.Debian containing advice about using a now deprecated component

 -- David Prévot <taffit@debian.org>  Fri, 22 Sep 2017 17:14:57 -1000

symfony (3.1.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.1.1

 -- David Prévot <taffit@debian.org>  Fri, 17 Jun 2016 15:11:02 -0400

symfony (3.1.0+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.1.0

 -- David Prévot <taffit@debian.org>  Tue, 31 May 2016 11:52:34 -0400

symfony (3.1.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.1.0-RC1

  [ David Prévot ]
  * Add php-redis to Build-Conflicts since it requires a functional server
    in order to pass the test suite.

 -- David Prévot <taffit@debian.org>  Sun, 29 May 2016 08:18:14 -0400

symfony (3.1.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.1.0-BETA1

  [ David Prévot ]
  * Handle pre-releases
  * Adapt dependencies to updated composer.json files
  * Add php-symfony-cache and php-symfony-inflector
  * Update Homepage URLs
  * Update autoload.php for tests
  * Add php-gd as build-dependency to pass more tests
  * Use verbose test mode to get skipped reasons

 -- David Prévot <taffit@debian.org>  Sun, 15 May 2016 16:37:21 -0400

symfony (3.0.6+dfsg-1) experimental; urgency=high

  [ Fabien Potencier ]
  * bumped Symfony version to 3.0.6
  * limited the maximum length of a submitted username [CVE-2016-4423]

  [ Charles Sarrazin ]
  * Fixed issue with blank password with Ldap [CVE-2016-2403]

  [ David Prévot ]
  * Build-depend on php-apcu-bc to pass more tests

 -- David Prévot <taffit@debian.org>  Wed, 11 May 2016 10:47:34 -0400

symfony (3.0.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * bumped Symfony version to 3.0.5

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Tue, 03 May 2016 15:10:45 -0400

symfony (3.0.4+dfsg-2) experimental; urgency=medium

  * Get rid of php5-symfony-debug binary extension that has been
    deprecated for PHP 7.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 15 Apr 2016 16:44:02 +0200

symfony (3.0.4+dfsg-1) experimental; urgency=medium

  * Upload non-LTS version to experimental

  [ Fabien Potencier ]
  * bumped Symfony version to 3.0.4

  [ David Prévot ]
  * Track latest stable version
  * Drop require-dev and tests directories from homemade static
    autoload.php files
  * Drop patch to workaround “OR-ed versions are not supported”
  * Install Security changelog in sub-components
  * Update copyright
  * Drop php-symfony-locale and php-symfony-swiftmailer-bridge
  * Update main autoload.php and build-dependencies
  * Update version overrides and static autoload.php files
  * php-symfony-security only ships a static autoload.php now
  * Load all Bridges for the tests

 -- David Prévot <taffit@debian.org>  Sat, 02 Apr 2016 16:56:36 -0400

symfony (2.8.4+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * bumped Symfony version to 2.8.4

  [ Daniel Beyer ]
  * Drop no longer needed patch to remove content from README.md files
    - Remove-content-from-README.md-files.patch

  [ David Prévot ]
  * Drop now useless upstream README
  * Update homemade static autoload.php
  * Depend on php-phpdocumentor-reflection for running more tests
  * Exclude group dns-sensitive

 -- David Prévot <taffit@debian.org>  Thu, 31 Mar 2016 19:25:29 -0400

symfony (2.8.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable since everything should be in place now

  [ Fabien Potencier ]
  * updated VERSION for 2.8.3

  [ David Prévot ]
  * Explicit dependency on php5-common (Closes: #811431)
  * Update homemade static autoload.php
  * PHP 7.0 transition:
    - Drop some now useless php-* build-dependencies
    - Build with recent pkg-php-tools

  [ Daniel Beyer ]
  * Drop patch to fix broken test in VarDumper (no longer needed)
    - VarDumper-Fix-tests-on-PHP-7.patch

  [ Marco Pivetta ]
  * #17676 - making the proxy instantiation compatible with ProxyManager 2.x
    by detecting proxy features

 -- Daniel Beyer <dabe@deb.ymc.ch>  Tue, 22 Mar 2016 17:43:00 +0100

symfony (2.8.2+dfsg-1) experimental; urgency=medium

  * Upload new branch to experimental

  [ Fabien Potencier ]
  * updated VERSION for 2.8.2

  [ Daniel Beyer ]
  * Bump Standards-Version: in d/control (no changes needed)
  * Remove licensing for the no longer used Glyphish icons from d/copyright
  * Remove license CC-BY-3.0-US from d/copyright (no longer used)
  * Update debian/copyright for symfony 2.8
  * Add patch to fix broken test in the VarDumper component
    - VarDumper-Fix-tests-on-PHP-7.patch
  * Add patch to fix broken memcache session handler in HttpFoundation
    - HttpFoundation-Fix-incompatibility-with-php-memcache.patch
  * Use php7 for building (Closes: #814799)
  * Use php7 for DEP-8 (as-installed) tests
  * Use php5 for DEP-8 (as-installed) tests against php5-symfony-debug
  * Skip tests (build time and DEP-8) for component PropertyInfo
  * Add php-symfony-property-info
  * Add php-symfony-ldap
  * Update build and DEP-8 dependencies for Symfony 2.8

  [ David Prévot ]
  * Add CVE entry for previous changelog entry
  * Use the now packaged php-random-lib (via php-symfony-polyfill-php70)
    instead of an embedded copy
  * Add php-symfony-security-{core,csrf,guard,http}, php-symfony-security is
    becoming almost a metapackage
  * Add php-symfony, almost a metapackage depending on every component,
    shipping upgrading notes

 -- David Prévot <taffit@debian.org>  Sun, 21 Feb 2016 10:40:09 -0400

symfony (2.7.9+dfsg-1) unstable; urgency=high

  [ Fabien Potencier ]
  * updated VERSION for 2.7.9
    Fix insecure fallback from SecureRandom when OpenSSL fails [CVE-2016-1902]

  [ Daniel Beyer ]
  * Drop patch to skip broken tests in the Process component (no longer needed)
    - Skip-broken-tests-in-Process-component.patch
  * Add patch to provide function random_bytes() for php 5
    - Embed-paragonie-random_compat-into-the-security-comp.patch
  * Add a README.Debian (Closes: #806903)

  [ David Prévot ]
  * Update autoload and dependencies for php-symfony-framework-bundle
  * Update copyright (years)
  * Add copyright entry for embedded paragonie/random_compat

 -- David Prévot <taffit@debian.org>  Sun, 17 Jan 2016 16:23:58 -0400

symfony (2.7.7+dfsg-1) unstable; urgency=high

  [ Christian Flothmann ]
  * Vulnerability in Security Remember-Me Service [CVE-2015-8125]
    - fix potential timing attack issue
    - mitigate CSRF timing attack vulnerability
    - prevent timing attacks in digest auth listener
  * Session Fixation in the "Remember Me" Login Feature [CVE-2015-8124]
    - migrate session after remember me authentication

  [ Fabien Potencier ]
  * updated VERSION for 2.7.7

  [ Daniel Beyer ]
  * Pin debian/watch to stable 2.x releases of Symfony

 -- Daniel Beyer <dabe@deb.ymc.ch>  Tue, 24 Nov 2015 08:10:09 +0100

symfony (2.7.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.7.6

  [ David Prévot ]
  * Update phpunit calls with regard to network access

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 08 Nov 2015 15:14:54 +0100

symfony (2.7.5+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.7.5

  [ David Prévot ]
  * debian/control:
    - Drop now useless transitional dummy packages
      (php-symfony-classloader and php-symfony-eventdispatcher)
    - php5-mongo makes the tests fail, since it requires a set up
      MongoDB server
  * debian/test/control: Add missing php-doctrine-data-fixtures
    dependency for CI

  [ Daniel Beyer ]
  * Correct incomplete autoloading for php-symfony-asset
  * Run tests parallel during build time, similar to how upstream does it
  * Run DEP-8 (as-installed) tests parallel, similar to how upstream does it
  * Remove prefixed 'NNNN-'-numbering for Debian patches
  * Use a simplistic vendor/autoload.php to run tests during build time.
    This is to make sure we use the autoload.php files generated by phpab
    and additionally eliminates the need to generate a vendor/autoload.php
    using phpab during build time. Instead we use now use a symbolic link
    for vendor/autoload.php pointing to debian/autoload.build.php.
  * Include tests in autoload.php files generated by phpab
  * Use a simplistic vendor/autoload.php for DEP-8 (as-installed) tests.
    This ensures we use the autoload.php files generated by phpab during
    DEP-8 (as-installed) test. Additionally we no longer need to generate
    a vendor/autoload.php using phpab. Instead we now simply use a symbolic
    link for vendor/autoload.php pointing to debian/autoload.DEP-8.php.
  * Add new patch fixing wrong autoloader detection used by some tests
    - FrameworkBundle-SecurityBundle-Don-t-try-to-include-.patch
  * Drop temporary workaround patch (no longer needed)
    - Temporary-workaround.patch
  * Update patch to skip additional tests needing network
    - group-online-for-test-failing-without-network.patch
  * Add new patch to skip broken tests in the Process component
    - Skip-broken-tests-in-Process-component.patch
  * Provide missing meta.json for php-symfony-intl

 -- Daniel Beyer <dabe@deb.ymc.ch>  Fri, 02 Oct 2015 20:41:11 -0400

symfony (2.7.1+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.7.1

 -- David Prévot <taffit@debian.org>  Sun, 14 Jun 2015 17:15:34 -0400

symfony (2.7.0+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.7.0

  [ David Prévot ]
  * Adapt minimal version in CI for unstable

 -- David Prévot <taffit@debian.org>  Sun, 31 May 2015 09:36:15 -0400

symfony (2.7.0~beta2+dfsg-2) unstable; urgency=high

  [ Daniel Beyer ]
  * Add patch to fix ESI unauthorized access [CVE-2015-4050]
    - 0007-HttpKernel-Do-not-call-the-FragmentListener-if-_cont.patch

  [ David Prévot ]
  * Override php-symfony-security-* as php-symfony-security

 -- David Prévot <taffit@debian.org>  Wed, 27 May 2015 09:05:23 -0400

symfony (2.7.0~beta2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.7.0-BETA2

  [ David Prévot ]
  * Use HTTPS for homepage
  * Adapt minimal versions to unstable, and upload to unstble

 -- David Prévot <taffit@debian.org>  Mon, 18 May 2015 23:00:16 -0400

symfony (2.7.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * [Asset] added the component
  * removed Propel bridge from Symfony Core
  * updated VERSION for 2.7.0-BETA1

  [ Nicolas Grekas ]
  * [PhpUnitBridge] new bridge for testing with PHPUnit

  [ David Prévot ]
  * Add php-symfony-asset
  * Add php-symfony-phpunit-bridge
  * Remove php-symfony-propel1-bridge
  * Provide php5-symfony-debug extension
  * Provide homemade autoload.php for all Composer packages
  * Drop extension sources from php-symfony-debug
  * Drop php-symfony2-yaml reference
  * Bump minimal php-twig version as needed for tests

  [ Daniel Beyer ]
  * Add SVG support to the image license checker
  * Update copyright (year) of the image license checker script
  * Update debian/copyright for symfony 2.7

 -- David Prévot <taffit@debian.org>  Mon, 13 Apr 2015 18:26:01 -0400

symfony (2.6.6+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.6.6

  [ David Prévot ]
  * Correct FTBFS fix attribution in previous changelog entry

  [ Nicolas Grekas ]
  * Safe escaping of fragments for eval()

  [ James Gilliland ]
  * isFromTrustedProxy to confirm request came from a trusted proxy.

 -- David Prévot <taffit@debian.org>  Wed, 01 Apr 2015 16:34:09 -0400

symfony (2.6.4+dfsg-1) experimental; urgency=low

  * Upload to experimental to respect the freeze
  * Provide new binary packages:
    - php-symfony-debug-bundle
    - php-symfony-expression-language
    - php-symfony-var-dumper

  [ Daniel Beyer ]
  * Validate that all new images and icons are properly licensed.
  * Let php-symfony-security provide 4 new versioned virtual packages
    - php-symfony-security-acl
    - php-symfony-security-core
    - php-symfony-security-csrf
    - php-symfony-security-http
  * Add new build-dependencies needed for tests
    - php-doctrine-bundle
    - php-email-validator
    - php5-sqlite
  * Update patches (add proper Symfony prefix in vendor/autoload.php)
    - 0001-Add-a-vendor-autoload.php-needed-to-run-tests-during.patch
    - DEP-8/Use-installed-class-for-DEP-8-tests.patch
  * Add pkg-php-tools-overrides for egulias/email-validator
  * Fix FTBFS as in 2.3 (Closes: #775625)

  [ David Prévot ]
  * Track latest version in debian/watch
  * New upstream version
  * Provide a get-orig-source target
  * Update copyright (years)
  * Workaround “OR-ed versions are not supported”
  * Use recent php-proxy-manager and phpunit for tests
  * Update dependencies for DEP-8 tests

 -- David Prévot <taffit@debian.org>  Fri, 06 Feb 2015 14:28:33 -0400

symfony (2.3.21+dfsg-1) unstable; urgency=low

  * New upstream version
  * Update build-dependencies (add php5-intl, drop php-symfony-icu and
    icu-devtools)
  * Exclude tests of type intl-data

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 26 Oct 2014 17:08:18 +0100

symfony (2.3.20+dfsg-1) unstable; urgency=low

  [ Daniel Beyer ]
  * New upstream version.
  * Drop patches (adopted upstream)
     - 0001-SwiftmailerBridge-Bump-allowed-versions-of-swiftmail.patch
     - 0004-Finder-Escape-location-for-regex-searches.patch
  * Fix DEP-8 tests failing if no tty is present

  [ David Prévot ]
  * Use repacksuffix feature of uscan

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sat, 11 Oct 2014 01:44:50 +0200

symfony (2.3.19+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #513646)

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 07 Sep 2014 18:34:19 +0200
